/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include "HELP/help.h"
#include "WIN/fps.h"
#include "WIN/win.h"
#include "WIN/opengl.h"

//---------------------------------------------------------------------------

bool wide, texture, grid, cloud, night, fversion, fhelp = false;

FLY fly;
WIND wind;
FPS fps;
HELP help;

//---------------------------------------------------------------------------

/* Main Program */
int main (int egac, char **egav) 
{
	/* Console Settings */	
	int n = 0;
	int f = 0;
	
	for(n = 0; n < egac; n++)
	{
		for(f = 0; f < egav[n][f]; ++f)
		{
			switch(egav[n][f])    
			{
				case 'F':
				wide = true;
				break;

				case 'T':
				texture = true;
				break;
				
				case 'G':
				grid = true;
				break;

				case 'C':
				cloud = true;
				break;	
				
				case 'N':
				night = true;
				break;				
				
				case 'v':
				fversion = true;
				break;
				
				case 'h':
				fhelp = true;
				break;
			}
		}
	}
	
	//-------------------------------------------------------------------

	/* Create Window */
	wind.createWin(wide);
	fly.loadPNG();
	fps.InitTimeCounter();
	
	/* Render */
	while(texture || grid || cloud || night)
	{
		/* Landscape */
		fly.init(night);
		fly.Landscape(texture, cloud);
		fly.Cockpit();
		fly.fontEvent();

		/* Display */		
		wind.perspective();
		wind.eventloop();			
		
		/* FPS */
		fps.CalculateFPS();
		fps.UpdateTimeCounter();	
	}
		 
	//-------------------------------------------------------------------
	 
	/* Show Help Desk */
	if(fhelp)
	{
		help.Desk(egac);
	}

	/* Display Version */
	else if(fversion)
	{
		help.version();
	}
	 
	return 0;
}

//---------------------------------------------------------------------------


